API RestDatasets
Dernière mise à jour le 20 juillet 2026
Delete a single row (or rows) from a manual dataset.
Requirements:
- Dataset must not be linked to a source (manual only).
- Filters are mandatory and must include all PK columns with op=eq, and no other columns.
Examples:
- Single PK: ?filter=id:eq:123
- Composite PK: ?filter=id:eq:123&filter=tenant_id:eq:acme
AuthorizationBearer <token>
In: header
Path Parameters
dataset_id*Dataset Id
Query Parameters
filter?array<string>|
Filters in format field:eq:value. Must include all primary key columns, and only PK columns, with op=eq. Examples: filter=id:eq:123 or filter=id:eq:123&filter=tenant_id:eq:acme
Response Body
application/json
curl -X DELETE "https://example.com/datasets/string/rows"{}Continuer plus loin